/*
 * flow_based_greedy_selector.h
 *
 *  Created on: May 31, 2010
 *      Author: leden
 */

#ifndef FLOW_BASED_GREEDY_SELECTOR_H_
#define FLOW_BASED_GREEDY_SELECTOR_H_

#include "flow_based_selector.h"

class FlowBasedGreedySelector : public FlowBasedSelector {
private:
	std::vector<PurchasableOffer> offers_by_price_;
public:
	FlowBasedGreedySelector(Market& market, PurchasableData& purchasable_data);
	virtual bool start(
			const std::vector<BuyerRequest>& purchasable_requests,
			const Constraint<Seller>& seller_constraint,
			const Constraint<Selection>& selection_constraint);
	virtual bool stop();

};


#endif /* FLOW_BASED_GREEDY_SELECTOR_H_ */
