/*
 * ga_fitness_eval.h
 *
 *  Created on: May 31, 2010
 *      Author: leden
 */

#ifndef GA_FITNESS_EVAL_H_
#define GA_FITNESS_EVAL_H_

#include "ga_selector.h"
#include "base_types.h"

#include <vector>

class GASelector;

class GAFitnessEvalOp : public EvaluateOp {
private:
	GASelector& selector_;
	double ubound_;
public:
	GAFitnessEvalOp(GASelector& selector, double ubound_);
	FitnessP evaluate(IndividualP individual);
private:
	Quantity getSelectCount(BinaryP bin, int n, double ubound);
};
typedef boost::shared_ptr<GAFitnessEvalOp> GAFitnessEvalOpP;

#endif /* GA_FITNESS_EVAL_H_ */
