/*
 * properties_entity.h
 *
 *  Created on: Apr 13, 2010
 *      Author: leden
 */

#ifndef PROPERTIES_ENTITY_H_
#define PROPERTIES_ENTITY_H_

#include "base_entity.h"
#include "property.h"
#include <map>

class PropertiesEntity : public BaseEntity {
protected:
	std::map<string, string> props_;
public:
	PropertiesEntity();
	PropertiesEntity(Id id);
	PropertiesEntity(Id id, std::string name);
	void addProperty(const Property& property);
	void setProperty(const std::string& key, const std::string& value);
	void clearProperties();
	const std::map<string, string>& properties() const;
};

#endif /* PROPERTIES_ENTITY_H_ */
