/*
 * Purchasable.cpp
 *
 *  Created on: Apr 10, 2010
 *      Author: leden
 */

#include "purchasable.h"
#include "utils.h"

#include <iostream>

Purchasable::Purchasable() : type_(PRODUCT) { //XXX

}

double Purchasable::amount() const {
	return amount_;
}

PurchasableType Purchasable::type() const {
	return type_;
}

bool operator<(const Purchasable& a, const Purchasable& b) {
	return a.id() < b.id();
}

bool operator==(const Purchasable& a, const Purchasable& b) {
	return a.id() == b.id();
}

ostream& operator<<(ostream& os, const Purchasable& p) {
	string name = p.name();
	if(name.empty()) name = "Purchasable[";
	os << name << "[id=" << p.id() << "; props=[";
	bool first = true;
	FORC(it, p.props_) {
		if(first)
			first = false;
		else
			os << ", ";
		os << it->first << "=" << it->second;
	}
	os << "]]";
	return os;
}




