/*
 * purchasable_factory.h
 *
 *  Created on: Apr 17, 2010
 *      Author: leden
 */

#ifndef PURCHASABLE_FACTORY_H_
#define PURCHASABLE_FACTORY_H_

#include "entity_factory.h"
#include "purchasable.h"

#include "price_utils.h"
#include <string>

class PurchasableFactory : public EntityFactory<Purchasable> {
private:

public:
	PurchasableFactory(const std::string& name);
	virtual Purchasable createEntity();
	virtual ~PurchasableFactory();
};

#endif /* PURCHASABLE_FACTORY_H_ */
