/*
 * test_offer_factory.h
 *
 *  Created on: May 22, 2010
 *      Author: leden
 */

#ifndef TEST_OFFER_FACTORY_H_
#define TEST_OFFER_FACTORY_H_

#include "offer_factory.h"
#include "string_utils.h"
#include "random_utils.h"

#include <iostream>

using namespace std;

namespace test {

void testDiscounts() {
	OfferFactory::DefaultWholesalePricesVar wholesale_var(QuantityRange(3, 5),
			QuantityRange(300, 400),
			QuantityRange(0, 30), 25223);

	vector< pair<QuantityRange, Price> > v = wholesale_var.getWholesalePrices(100);

	cout << StringUtils::to_string(v.begin(), v.end());
}



}

#endif /* TEST_OFFER_FACTORY_H_ */
