/*
 * utils.h
 *
 *  Created on: Apr 10, 2010
 *      Author: leden
 */

#ifndef UTILS_H_
#define UTILS_H_

#define FORC(it, c) for(__typeof(c.begin()) it = (c).begin(); it != (c).end(); ++it)

#include <iostream>
#include <map>

template<typename Tx, typename Ty>
std::ostream& operator<<(std::ostream& os, const std::pair<Tx, Ty>& pair) {
	os << "(" << pair.first << ", " << pair.second << ")";
	return os;
}

//template<typename Key, typename Value>
//class OccurenceMap : public std::map<Key, Value> {
//private:
//	Value zero_;
//public:
//	OccurenceMap() : zero_(0) { };
//	OccurenceMap(Value zero) : zero_(zero) { };
//	bool increment(Key key) {
//		if(count(key))
//			return false;
//		return true;
//	}
//};

#endif /* UTILS_H_ */
