/*
 * base_types.h
 *
 *  Created on: Apr 10, 2010
 *      Author: leden
 */

#ifndef BASE_TYPES_H_
#define BASE_TYPES_H_

#include <utility>

typedef long long Price;
static const Price zeroPrice = 0LL;
static const Price infinitePrice = 0x3f3f3f3f3f3f3f3fLL;

typedef int Quantity;
typedef std::pair<Quantity, Quantity> QuantityRange;
static const Quantity maxQuantity = 0x3f3f3f3f;
static const Quantity unlimitedQuantity = -1;

struct InvalidQuantityRangeException { };

#endif /* BASE_TYPES_H_ */
