/*
 * brute_force_selector.h
 *
 *  Created on: Apr 23, 2010
 *      Author: leden
 */

#ifndef BRUTE_FORCE_SELECTOR_H_
#define BRUTE_FORCE_SELECTOR_H_

#include "flow_based_selector.h"

class BruteForceSelector : public FlowBasedSelector {
public:
	BruteForceSelector(Market& market, PurchasableData& purchasable_data);
	virtual bool start(
			const std::vector<BuyerRequest>& purchasable_requests,
			const Constraint<Seller>& seller_constraint,
			const Constraint<Selection>& selection_constraint);
	virtual bool stop();

private:
	bool recurse(const vector<const PurchasableOffer*>& offers, int n);
};

#endif /* BRUTE_FORCE_SELECTOR_H_ */
