/*
 * manual_selector.h
 *
 *  Created on: May 29, 2010
 *      Author: leden
 */

#ifndef MANUAL_SELECTOR_H_
#define MANUAL_SELECTOR_H_

#include "flow_based_selector.h"

class ManualSelector : public FlowBasedSelector {
public:
	ManualSelector(Market& market, PurchasableData& purchasable_data);
	virtual ~ManualSelector();

	virtual bool start(
			const std::vector<BuyerRequest>& purchasable_requests,
			const Constraint<Seller>& seller_constraint,
			const Constraint<Selection>& selection_constraint);
	virtual bool stop();
};

namespace test {
	void testManualSelector(Market& market, const string& filename);
}

#endif /* MANUAL_SELECTOR_H_ */
