/*
 * time_counter.h
 *
 *  Created on: Apr 23, 2010
 *      Author: leden
 */

#ifndef TIME_COUNTER_H_
#define TIME_COUNTER_H_

#include <ctime>
#include <unistd.h>
#include <sys/time.h>


class TimeCounter {
private:
	timeval start_time_;
	timeval end_time_;
	bool time_running_;
public:
	TimeCounter();
	bool startTimer();
	bool stopTimer();
	bool isTimeRunning() const;
	double getElapsedTime() const;
protected:
	double getDifference(const timeval& from, const timeval& to) const;
};

#endif /* TIME_COUNTER_H_ */
